Bug 59695 - [GTK] Build webkit1 even when webkit2 is enabled
Summary: [GTK] Build webkit1 even when webkit2 is enabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 59694
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 06:26 PDT by Carlos Garcia Campos
Modified: 2011-05-03 02:53 PDT (History)
0 users

See Also:


Attachments
Patch (4.40 KB, patch)
2011-04-28 06:29 PDT, Carlos Garcia Campos
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2011-04-28 06:26:52 PDT
Webkit1 and Webkit2 are currently built seprated, but they could be built at the same time using the same libWebCore.
Comment 1 Carlos Garcia Campos 2011-04-28 06:29:29 PDT
Created attachment 91479 [details]
Patch

Webkit2 is still disabled by default, but when enabled, webkit1 is built too.
Comment 2 Martin Robinson 2011-04-28 09:20:16 PDT
Comment on attachment 91479 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91479&action=review

> GNUmakefile.am:-235
> -stamp-po:

Is it safe to remove this stamp-po rule?
Comment 3 Carlos Garcia Campos 2011-04-28 09:41:37 PDT
(In reply to comment #2)
> (From update of attachment 91479 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=91479&action=review
> 
> > GNUmakefile.am:-235
> > -stamp-po:
> 
> Is it safe to remove this stamp-po rule?

It's actually defined in the webkit1 gtk makefile, we have to fix #55153. But it doesn't affect the build.
Comment 4 Eric Seidel (no email) 2011-05-01 10:51:17 PDT
Comment on attachment 91479 [details]
Patch

Martin seemed OK with the change otherwise.  rs=me assuming you don't break the gtk build.
Comment 5 Carlos Garcia Campos 2011-05-03 02:53:49 PDT
Committed r85595: <http://trac.webkit.org/changeset/85595>